InternalFrameAdapter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class InternalFrameAdapter

    java.lang.Object
      |
      +--javax.swing.event.InternalFrameAdapter

All Implemented Interfaces:
  EventListener, InternalFrameListener

public abstract class InternalFrameAdapter
extends Object
implements InternalFrameListener

An abstract adapter class for receiving internal frame events. The methods in this class are empty. This class exists as convenience for creating listener objects, and is functionally equivalent to the WindowAdapter class in the AWT.

See How to Write an Internal Frame Listener in The Java Tutorial and The Java Class Libraries (update)

See Also:
  `InternalFrameEvent`, `InternalFrameListener`, `WindowListener`

Constructor Summary
`InternalFrameAdapter()`

Method Summary
`void` | `internalFrameActivated(InternalFrameEvent e)` Invoked when an internal frame is activated.
`void` | `internalFrameClosed(InternalFrameEvent e)` Invoked when an internal frame has been closed.
`void` | `internalFrameClosing(InternalFrameEvent e)` Invoked when an internal frame is in the process of being closed.
`void` | `internalFrameDeactivated(InternalFrameEvent e)` Invoked when an internal frame is de-activated.
`void` | `internalFrameDeiconified(InternalFrameEvent e)` Invoked when an internal frame is de-iconified.
`void` | `internalFrameIconified(InternalFrameEvent e)` Invoked when an internal frame is iconified.
`void` | `internalFrameOpened(InternalFrameEvent e)` Invoked when an internal frame has been opened.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalFrameAdapter

    public InternalFrameAdapter()

Method Detail

### internalFrameOpened

    public void internalFrameOpened(InternalFrameEvent e)

  Invoked when an internal frame has been opened.

  Specified by:
    `internalFrameOpened` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.show()`

### internalFrameClosing

    public void internalFrameClosing(InternalFrameEvent e)

  Invoked when an internal frame is in the process of being closed. The close operation can be overridden at this point.

  Specified by:
    `internalFrameClosing` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setDefaultCloseOperation(int)`

### internalFrameClosed

    public void internalFrameClosed(InternalFrameEvent e)

  Invoked when an internal frame has been closed.

  Specified by:
    `internalFrameClosed` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setClosed(boolean)`

### internalFrameIconified

    public void internalFrameIconified(InternalFrameEvent e)

  Invoked when an internal frame is iconified.

  Specified by:
    `internalFrameIconified` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameDeiconified

    public void internalFrameDeiconified(InternalFrameEvent e)

  Invoked when an internal frame is de-iconified.

  Specified by:
    `internalFrameDeiconified` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setIcon(boolean)`

### internalFrameActivated

    public void internalFrameActivated(InternalFrameEvent e)

  Invoked when an internal frame is activated.

  Specified by:
    `internalFrameActivated` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setSelected(boolean)`

### internalFrameDeactivated

    public void internalFrameDeactivated(InternalFrameEvent e)

  Invoked when an internal frame is de-activated.

  Specified by:
    `internalFrameDeactivated` in interface `InternalFrameListener`
  See Also:
    `JInternalFrame.setSelected(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.